Bug 30090 - Don't export action buttons from patron results
Summary: Don't export action buttons from patron results
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-02-13 13:13 UTC by Katrin Fischer
Modified: 2022-03-18 00:13 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.03,21.05.11


Attachments
Bug 30090: Don't export some columns in patron search results (1.64 KB, patch)
2022-02-14 21:08 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 30090: Don't export some columns in patron search results (1.69 KB, patch)
2022-02-14 21:12 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2022-02-13 13:13:46 UTC
The checkout and Edit buttons should not export (Exel, Print) on the patron search result list.
Comment 1 Fridolin Somers 2022-02-14 21:08:28 UTC
Created attachment 130574 [details] [review]
Bug 30090: Don't export some columns in patron search results

The checkout and Edit buttons should not export (Exel, Print) on the patron search result list.
Same for fist column with checkboxes.

Test plan :
1) Go to patrons module /cgi-bin/koha/members/members-home.pl
2) Perform a search with results
3) Click on 'Export' then 'Print'
=> Check you dont see column with checkboxes (text 'Select patron') and colum with actions
Comment 2 Katrin Fischer 2022-02-14 21:12:40 UTC
Created attachment 130575 [details] [review]
Bug 30090: Don't export some columns in patron search results

The checkout and Edit buttons should not export (Exel, Print) on the patron search result list.
Same for fist column with checkboxes.

Test plan :
1) Go to patrons module /cgi-bin/koha/members/members-home.pl
2) Perform a search with results
3) Click on 'Export' then 'Print'
=> Check you dont see column with checkboxes (text 'Select patron') and colum with actions

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Katrin Fischer 2022-02-14 21:14:05 UTC
Standard fix for a standard problem - moving to PQA.
Comment 4 Fridolin Somers 2022-02-17 07:52:56 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-02-18 13:00:03 UTC
Pushed to 21.11.x for 21.11.03
Comment 6 Andrew Fuerste-Henry 2022-02-21 17:10:32 UTC
Pushed to 21.05.x for 21.05.11
Comment 7 Victor Grousset/tuxayo 2022-03-18 00:13:32 UTC
Not backported to oldoldstable (20.11.x). Feel free to ask if it's needed.